Jump to content

Community

Error upgrading from 4.2 to 4.3.3


Omar Hernandez
 Share

Recommended Posts

Hi. I'm tryng to upgrade manually from 4.2 to 4.3.3, but i get this error:

 

If you are sure the files have been uploaded correctly, make sure the permissions are set correctly on them.

    /home3/mvptwokc/public_html/web_mvp2kcaribe/applications/core/modules/admin/members/members.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/Content/Search/Elastic/Index.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/File/Amazon.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/File/Database.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/File/FileSystem.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/File/Ftp.php
    /home3/mvptwokc/public_html/web_mvp2kcaribe/system/Text/Parser.php

I uploaded again several times those files and get the same error. Any suggestion?

Link to comment
Share on other sites

Did you upload them through a Ftp program or some other way, like through the File Manager section in your cPanel, for example?

If the files are indeed uploaded correctly, did you check their permissions as indicated in the error message?

Edited by Faqole
Link to comment
Share on other sites

I had a similar issue a few weeks ago.

The issue was that between the time I downloaded the package from IPB website, and the time I uploaded it on my server, a new version had been released. It still had the same minor version number (4.3.2 for instance), but when I downloaded a new package from IPB website, the unzipped folder had a different name (the folder named ips_0c0f1, for instance).

It might be worth a check, especially given that the files causing the issue on your side seem to be unrelated to each other (apart from the File folder), and not many of them. Might be a fix done by IPB a few hours back, for instance.

Link to comment
Share on other sites

21 hours ago, HelloWorld said:

I had a similar issue a few weeks ago.

The issue was that between the time I downloaded the package from IPB website, and the time I uploaded it on my server, a new version had been released. It still had the same minor version number (4.3.2 for instance), but when I downloaded a new package from IPB website, the unzipped folder had a different name (the folder named ips_0c0f1, for instance).

It might be worth a check, especially given that the files causing the issue on your side seem to be unrelated to each other (apart from the File folder), and not many of them. Might be a fix done by IPB a few hours back, for instance.

 

2 hours ago, Omar Hernandez said:

thanks for your suggestions. i reload the files for 4.3.0 and it worked. I will wait for 4.3.4 to try it to upgrade again.

This is your issue, you need to download the latest files from the client area and use those to upgrade (alternatively, upgrade from within your AdminCP by clicking 'upgrade now')

Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We use technologies, such as cookies, to customise content and advertising, to provide social media features and to analyse traffic to the site. We also share information about your use of our site with our trusted social media, advertising and analytics partners. See more about cookies and our Privacy Policy